<?php
namespace SabaiApps\Directories\Component\Payment\DisplayButton;

use SabaiApps\Directories\Component\Dashboard;
use SabaiApps\Directories\Application;
use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\IEntity;

class PostDashboardDisplayButton extends Dashboard\DisplayButton\AbstractPostDisplayButton {

	use DashboardDisplayButtonTrait;

	public function __construct( Application $application, $name ) {
		parent::__construct( $application, $name, substr( $name, strlen( 'payment_' ) ) );
	}

	protected function _isModal( Bundle $bundle, IEntity $entity, array $settings ) {
		return array( 'size' => 'lg' );
	}
}
